@tool
class_name DesktopIcon
extends VBoxContainer

@export var icon_texture: Texture
@export var icon_text: String
@export var min_size: Vector2 = Vector2(32,32)

var texture_rect: TextureRect
var label: Label

func _ready() -> void:
	texture_rect = get_node("IcoTexture")
	label = get_node("IcoLabel")

func _process(_delta: float) -> void:
	update_icon()

func update_icon():
	texture_rect.texture = icon_texture
	texture_rect.custom_minimum_size = min_size
	label.text = icon_text
